Skip to main content
GET
/
accounts
List Accounts
curl --request GET \
  --url https://api.otim.com/v0/accounts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "acc_01JA1B2C3D4E5F6G7H8J9K0L",
      "entityId": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
      "name": "Treasury",
      "type": "wallet",
      "chain": "base",
      "availableBalance": "1000000",
      "pendingBalance": "0",
      "lockedBalance": "0",
      "holdingBalance": "0",
      "currency": "USDC",
      "status": "active",
      "autoEarn": true,
      "metadata": {},
      "createdAt": "2025-01-15T12:00:00Z",
      "updatedAt": "2025-01-15T12:00:00Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Query Parameters

entityId
string

Filter Accounts by Entity ID.

cursor
string

Pagination cursor from a previous response.

limit
integer
default:50

Number of items to return.

Required range: x <= 100

Response

A paginated list of Accounts.

data
object[]
hasMore
boolean
nextCursor
string | null